Doomsday Engine - Feature #2197

Feature # 7 (Progressed): Next-gen renderer (codename "Gloom")

Remove the 'Bias’ volumetric lighting system and the Bias light source editor ("bledit")
2017-02-06 14:11 - skyjake

Status: Closed Start date: 2017-02-06
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Cleanup

Target version: 2.0 — Home Ul & Packages

Description

The old experimental bias lighting system has two components:

* Direct light from point light sources. Tracks configured light sources and determines whether individual vertices are lit by them.
Does simple raycasting to determine occlusions (shadows).
¢ A volumetric grid is used for distributing soft ambient light from lit sectors to the immediate surroundings.

The problem with these is that the implementation is entirely CPU-based and operates only on vertices. This is incompatible with the
future direction of maximum GPU utilization and per-pixel lighting. Therefore the old experimental implementation should be
removed, and a better GPU-based lighting system should be implemented for Doomsday 2.

Related issues:

Related to Bug #244: Bias Grid Lock Up Closed 2005-07-11
Related to Feature #1158: Soft Sector Lighting Closed 2003-05-22
Related to Feature #1341: Soft edges for sector lighting Rejected 2004-04-12
Related to Feature #2035: Map lighting editor (volume, surface, and point sou... New 2015-05-05

Associated revisions

Revision b778a8e9 - 2017-02-06 19:35 - skyjake

»

Cleanup|Renderer|World: Disable the bias light grid, bias light sources, and “bledit
IssuelD #2197

Revision b6960004 - 2017-02-06 20:26 - skyjake

Cleanup|Client|World: Disabled more code related to “bledit”

IssuelD #2197

Revision 4a40a38f - 2017-02-06 21:04 - skyjake

Cleanup|Renderer|World: Removed obsolete source files

IssuelD #2197

Revision 81e54237 - 2017-02-06 21:08 - skyjake

Cleanup|Documentation: Removed obsolete console commands and variables

IssuelD #2197

History

#1 - 2017-02-06 14:12 - skyjake

- Description updated

#2 - 2017-02-06 14:13 - skyjake
- Related to Bug #244: Bias Grid Lock Up added

#3 - 2017-02-06 14:14 - skyjake
- Related to Feature #1158: Soft Sector Lighting added
#4 - 2017-02-06 14:14 - skyjake
- Related to Feature #1341: Soft edges for sector lighting added

#5 - 2017-02-06 14:14 - skyjake

- Related to Feature #2035: Map lighting editor (volume, surface, and point sources) added

#6 - 2017-02-06 14:14 - skyjake
- Related to Feature #1639: Optimize GridMap added

#7 - 2017-02-06 14:15 - skyjake
- Related to deleted (Feature #1639: Optimize GridMap)

#8 - 2017-02-07 11:06 - skyjake
- % Done changed from 0 to 100

#9 - 2017-02-07 11:06 - skyjake

- Status changed from In Progress to Closed

#10 - 2017-02-25 18:06 - skyjake
- Category changed from Redesign to Cleanup
